petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMLabelGetValue

Return the value a label assigns to a point, or the label's default value (which is initially -1, and can be changed with DMLabelSetDefaultValue())

### Synopsis

    #include "petscdmlabel.h"
    #include "petscis.h"
    PetscErrorCode DMLabelGetValue(DMLabel label, PetscInt point, PetscInt *value)

### Input Parameters

| label | - the DMLabel
| point | - the point

### Output Parameter

value -The point value, or -1

### See Also

DMLabelCreate(), DMLabelSetValue(), DMLabelClearValue(), DMLabelGetDefaultValue(), DMLabelSetDefaultValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c

### Examples

src/dm/impls/plex/examples/tutorials/ex1f90.F90.html
src/ts/examples/tutorials/ex11.c.html
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages